Thread Rating:
  • 0 Vote(s) - 0 Average
Help needed: xTV Spaf and aTV.
#1
I have JB'ed my aTV and apparently all is working okay. But I want to use the xtv-saf skin.

So downloaded that and first tested it with iMac's Xbmc and that worked fine. Then I copied the zip to the aTV but add-ons says (something like "invalid type".

So then I copies the skin.xtv-saf folder to aTV's /Volumes/root/Applications/XBMC.frappliance/XBMCData/XBMCHome/addons. Trief to select that skin but it does not appear in the list.


Confluence works but my household does not like that and want the regular looking xTV skin. But how to get it working on the aTVHuhHuhHuh?
Reply
#2
antoniong Wrote:I have JB'ed my aTV and apparently all is working okay. But I want to use the xtv-saf skin.

So downloaded that and first tested it with iMac's Xbmc and that worked fine. Then I copied the zip to the aTV but add-ons says (something like "invalid type".

So then I copies the skin.xtv-saf folder to aTV's /Volumes/root/Applications/XBMC.frappliance/XBMCData/XBMCHome/addons. Trief to select that skin but it does not appear in the list.


Confluence works but my household does not like that and want the regular looking xTV skin. But how to get it working on the aTVHuhHuhHuh?
antoniong,

Need a few more details sport (like what build of iOS and XBMC you are using). I'm assuming that the message was something about it being an invalid skin. In which case the version of XBMC that you are using on the AppleTV is later than 10.0-7 (official build from about Feb). The skin is not compatible with the latest pre Eden builds of XBMC (which 10.0-8 and 10.0-9 are).

You in that case have two choices 1/ wait for v1.1.1 which I will release for Dharma XBMC, late pre Eden XBMC and XBox hopefully in about a week or 2/ download the last official build of XBMC that worked with the skin (10.0-7) and run with that for the time being until I get a chance to make the necessary changes to the skin to make it compatible with the later builds.

Sorry it comes down to the timing of the changes to the skinning system introduced in the latest builds of XBMC and me trying to get a formal release out. V1.1.1 will be the last build that I do for the Dharma build of XBMC, after I release this the svn will move to pre Eden only (will break if run on Dharma). What this means is that if you are updating the skin thru the Passion repo (as most of you seem to be) and you are running Dharma you will need to uninstall the skin from that repo and install the released zip file from a local hard drive.

Sorry I can't be any more help at this stage, but hopefully it won't be long before things sort themselves out.

Wyrm (xTV-SAF)
If required a FULL debug log can now be submitted from the skin in settings->skin settings->support. Or follow instructions here if you can't access skin settings.

FAQ's located at :- http://kodi.wiki/view/Add-on:AppTV
Reply
#3
IOS is 4.2.2, XBMC is Pre 11.0 (got this using aTV Flash) and the message was indeed "... incompatible ... skin ...).

So I understand the version of xTV and Xbmc do not match. What is the best way to go. I think easiest is if I can download a version (Beta or similar) of xTV that works with my version of Xbmc. I have access to all folders on the aTV so copying is no problem.

Or would it be wiser to downgrade Xbmc but then I have no inkling how to do that. Maybe this is the best route since Xbmc keeps telling me "... cannot connect to server ..." while no other app on the aTV has this problem.

Thanks if you can advise me on what to do.
Reply
#4
XBMC<ATV2>

Does anybody know where i can find the plug in for National Geographic Channel? I downloaded 1 plugin but its that the National Geo is not available in the list.

and how am i going to install it. thanks so much. Quick reply would be so much appreciated.
Reply
#5
AdUnP Wrote:XBMC<ATV2>

Does anybody know where i can find the plug in for National Geographic Channel? I downloaded 1 plugin but its that the National Geo is not available in the list.

and how am i going to install it. thanks so much. Quick reply would be so much appreciated.

Addition: can u give me good addons for atv2 pls.. thanks
Reply
#6
antoniong Wrote:IOS is 4.2.2, XBMC is Pre 11.0 (got this using aTV Flash) and the message was indeed "... incompatible ... skin ...).

So I understand the version of xTV and Xbmc do not match. What is the best way to go. I think easiest is if I can download a version (Beta or similar) of xTV that works with my version of Xbmc. I have access to all folders on the aTV so copying is no problem.

Or would it be wiser to downgrade Xbmc but then I have no inkling how to do that. Maybe this is the best route since Xbmc keeps telling me "... cannot connect to server ..." while no other app on the aTV has this problem.

Thanks if you can advise me on what to do.
antoniong,

I has sent you a PM about some other issues, but you can try the following and see if that at least sorts out the incompatible skin message (skin should then install).

You will need to edit the addon.xml file in the root directory of the skin. Change the following:
PHP Code:
<requires>
        <
import addon="xbmc.gui" version="2.11"/>
        <
import addon="script.logo-downloader" version="2.0.0"/>
        <
import addon="script.tvtunes" version="0.9.0"/>
    </
requires
To read like this:
PHP Code:
<requires>
        <
import addon="xbmc.gui" version="3.00"/>
        <
import addon="script.logo-downloader" version="2.0.0"/>
        <
import addon="script.tvtunes" version="0.9.0"/>
    </
requires
If after making the above change you still see a message (..unmet dependencies...) and the skin still refuses to load you will need to delete the following lines:
PHP Code:
<import addon="script.logo-downloader" version="2.0.0"/>
        <
import addon="script.tvtunes" version="0.9.0"/> 
This is because the above scripts are possibly not been made compatible with Eden XBMC yet. Don't delete them unless you need to as the skin uses this for TV logos and theme tune support.

Hope this helps, please report on you success (or lack of) so that I know what needs changing.

Wyrm (xTV-SAF)
If required a FULL debug log can now be submitted from the skin in settings->skin settings->support. Or follow instructions here if you can't access skin settings.

FAQ's located at :- http://kodi.wiki/view/Add-on:AppTV
Reply
#7
AdUnP Wrote:XBMC<ATV2>

Does anybody know where i can find the plug in for National Geographic Channel? I downloaded 1 plugin but its that the National Geo is not available in the list.

and how am i going to install it. thanks so much. Quick reply would be so much appreciated.

Why on earth are you asking this in someone else's thread about the xTV skin? Wrong thread, wrong forum, no help for you.
Reply
#8
Ned Scott Wrote:Why on earth are you asking this in someone else's thread about the xTV skin? Wrong thread, wrong forum, no help for you.
Ned,

Thanks mate, if you checked this clown out you will see he posted EXACTLY the same messages to two other threads (also unrelated from what I can see).

I just treated the posts with the contempt they deserved.

Wyrm (xTV-SAF)
If required a FULL debug log can now be submitted from the skin in settings->skin settings->support. Or follow instructions here if you can't access skin settings.

FAQ's located at :- http://kodi.wiki/view/Add-on:AppTV
Reply



Help needed: xTV Spaf and aTV.00